function OnInit()

	this:SetVisualProfile("~/none.xml", "weapon");
	this:LoadCollisionInfo("~/none.col");
	m_parent = nil;
	m_canHit = false;
	this:SetCollisionCategories(C_CATEGORIES_NONE);
	--//this:SetCollisionListenCategory(C_CATEGORY_ENTITY, true);
	m_blargh = "?";
	
end

function OnPostInit()
	this:SetDensity(0.2);
	--//this:SetBlendMode(C_BLEND_MODE_ADDITIVE);
	--//this:SetBaseColor(Color(255,0,255,150)); --//add some transparency
	this:SetRunUpdateEveryFrame(true);
	this:SetPersistent(false); --//don't bother saving this	
	
	this:GetBrainManager():Add("StandardBase","");
	this:GetBrainManager():SendToBrainBase("control_filtery=0");	
	
end

function Update(step)


end

function OnAttackLoop()

	this:SetCollisionListenCategory(C_CATEGORY_ENTITY, false);
	
end

function SetParent(parent)

--//this is an important part of initialization, it tells this weapon who swung it
	m_parent = parent;
	
	--//m_blargh = parent:GetFacing();
	
	this:SetFacing(parent:GetFacing());
	--//this:SetSpriteByVisualStateAndFacing();
	this:SetAnimFrame(parent:GetAnimFrame());
	--//GetTextManager:Add("? ".. m_blargh .." ?", this );
	
end

function OnCollision(vPosition, vVelocity, vNormal, depth, materialID, entity, state)

	if (m_canHit == false or entity == nil) then
	  return;
	end
	
	if (entity:GetID() == m_parent:GetID()) then
		--//don't want to hurt ourself
	else
		--//LogMsg("Got hit by " .. tostring(ent:GetID()) .. " Depth: " .. tostring(depth) .. " normal: " .. tostring(normal));
	--//hurt this entity
  		entity:RunFunctionIfExists("OnDamage", vNormal, depth, m_parent, 5, 0, this);
	end
	
		--//by saying 1, we say run "on the next tick" as 1 MS is the smallest amount that can pass.
		Schedule(1, this:GetID(), "m_canHit = false;");

	return; --//don't allow collision to happen

end

function Unequip()

Schedule(100, this:GetID(), "this:SetDeleteFlag(true);");

end
